Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 107327 - Wants to add per package display of ~arch and M
Summary: Wants to add per package display of ~arch and M
Status: RESOLVED WONTFIX
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Enhancement/Feature Requests (show other bugs)
Hardware: x86 Linux
: High enhancement (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-09-26 14:13 UTC by jb
Modified: 2005-09-30 02:57 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jb 2005-09-26 14:13:10 UTC
when emerging with the -v option, it display a notice for package in overloay, as
[ebuild  N    ] sys-apps/genpass-0.2  10 kB [1]
Portage overlays:
 [1] /usr/local/portage

Is it possible to display the ~arch and the fact that the package is masked in a
similar way, per exemple like that :
[ebuild  N    ] sys-apps/genpass-0.2  10 kB [1] [~86] [M]

Because of the per ebuild keyword, it can be of a great help.
thanks

Reproducible: Always
Steps to Reproduce:
1.
2.
3.
Comment 1 Alec Warner archtester Gentoo Infrastructure gentoo-dev Security 2005-09-26 15:51:32 UTC
Current behavior is for emerge -pv <masked/~arch/not keyworded package> is for 
emerge to display to you that it is not keyworded/masked.

For example:

emerge -pv mol

These are the packages that I would merge, in order:

Calculating dependencies   
!!! All ebuilds that could satisfy "mol" have been masked.
!!! One of the following masked packages is required to complete your request:
- app-emulation/mol-0.9.71_pre1-r2 (masked by: -* keyword)
- app-emulation/mol-0.9.71_pre1 (masked by: -* keyword)
- app-emulation/mol-0.9.71_pre1-r1 (masked by: -* keyword)
- app-emulation/mol-0.9.70 (masked by: -* keyword)
- app-emulation/mol-0.9.70-r1 (masked by: -* keyword)

For more information, see MASKED PACKAGES section in the emerge man page or 
section 2.2 "Software Availability" in the Gentoo Handbook.

You want this changed to read:
[ebuild  N   ] app-emulation/mol-0.9.71_pre1-r2 0kB [-*]

Personally I dislike it because it doesn't immediately tell you that something 
is wrong, ie that mol is not keyworded.


Comment 2 Jason Stubbs (RETIRED) gentoo-dev 2005-09-26 18:35:31 UTC
My understanding was that the request is for packages that are unmasked. If 
it's for packages that are masked, then no way... 
Comment 3 jb 2005-09-27 04:00:14 UTC
Sorry, I was not clear enough.

In make.conf, i have commented ~x86.
In /etc/portage/package.keyword, there is a line like :

sys-apps/genpass-0.2 ~x86

Has I have commented the ~x86 in make.conf, It's not easy to see if genpass will
be emerge in the stable way or in the instable way, because I have to parse the
full package.keyword file to find that.

Therefore, I want emerge to display the fact that the package i'm going to
emerge will be a ~arch version.
Comment 4 Marius Mauch (RETIRED) gentoo-dev 2005-09-27 21:59:48 UTC
I'd rather not do this for the following reasons:
- it requires some IMO nasty internal tricks
- it gets quite complicated as soon as you think outside of the normal
arch->~samearch update
- it doesn't deal nice with temoporary env changes
- is it only for arch->~arch updates? or also for ~arch->~arch updates? what
about ~arch->arch or p.mask->~arch? In short: too many possible combinations
(one of the drawbacks of the masking system).

Unless someone fundamentally disagrees with me I'd consider this WONTFIX.
Comment 5 Marius Mauch (RETIRED) gentoo-dev 2005-09-30 02:57:20 UTC
closing as per previous comment.